package com.yanzhu.jh.project.mapper;

import java.util.List;
import com.yanzhu.jh.project.domain.SurProject;

/**
 * 项目管理Mapper接口
 * 
 * @author JiangYuQi
 * @date 2023-07-29
 */
public interface SurProjectMapper 
{
    /**
     * 查询项目管理
     * 
     * @param id 项目管理主键
     * @return 项目管理
     */
    public SurProject selectSurProjectById(Long id);

    /**
     * 查询项目管理列表
     * 
     * @param surProject 项目管理
     * @return 项目管理集合
     */
    public List<SurProject> selectSurProjectList(SurProject surProject);

    /**
     * 新增项目管理
     * 
     * @param surProject 项目管理
     * @return 结果
     */
    public int insertSurProject(SurProject surProject);

    /**
     * 修改项目管理
     * 
     * @param surProject 项目管理
     * @return 结果
     */
    public int updateSurProject(SurProject surProject);

    /**
     * 删除项目管理
     * 
     * @param id 项目管理主键
     * @return 结果
     */
    public int deleteSurProjectById(Long id);

    /**
     * 批量删除项目管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectByIds(Long[] ids);

    /**
     * 汇总查询，按项目分类
     * @param surProject
     * @return
     */
    public List<SurProject> groupByCategory(SurProject surProject);

    /**
     * 汇总查询，按项目级别分类
     *
     * @param surProject
     * @return
     */
    public List<SurProject> groupByLevel(SurProject surProject);

    public List<SurProject> selectProgressProjects(long deptId);

    public List<SurProject> groupByProjectCategory(long deptId);
}

